<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionCone Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d61/a03858.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ExpansionCone Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><br  />
  
 <a href="../../d0/d61/a03858.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionCone:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d0/d61/a03858.png" usemap="#ExpansionCone_map" alt=""/>
  <map id="ExpansionCone_map" name="ExpansionCone_map">
<area href="../../d2/df3/a03890.html" alt="Container_Base" shape="rect" coords="0,0,102,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a523b8540be2d8db7340cc0dd1de5c12a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d61/a03858.html#a523b8540be2d8db7340cc0dd1de5c12a">ExpansionCone</a> ()</td></tr>
<tr class="separator:a523b8540be2d8db7340cc0dd1de5c12a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a718c7807e09023e7c734ad0deab80653"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d61/a03858.html#a718c7807e09023e7c734ad0deab80653">~ExpansionCone</a> ()</td></tr>
<tr class="separator:a718c7807e09023e7c734ad0deab80653"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6b4913a6ca858728286ab4bae068557"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d61/a03858.html#ab6b4913a6ca858728286ab4bae068557">SetActions</a> ()</td></tr>
<tr class="separator:ab6b4913a6ca858728286ab4bae068557"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39376fa149308aab4a40514763458961"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d61/a03858.html#a39376fa149308aab4a40514763458961">CanPutInCargo</a> (EntityAI parent)</td></tr>
<tr class="separator:a39376fa149308aab4a40514763458961"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bf1ca648cb8e31c825c1fccc89643da"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d61/a03858.html#a4bf1ca648cb8e31c825c1fccc89643da">IsContainer</a> ()</td></tr>
<tr class="separator:a4bf1ca648cb8e31c825c1fccc89643da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9058d046c5377cb58a3d72985e70ff35"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d61/a03858.html#a9058d046c5377cb58a3d72985e70ff35">IsHeavyBehaviour</a> ()</td></tr>
<tr class="separator:a9058d046c5377cb58a3d72985e70ff35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1380f2e4305db3572f95c1a4494bdd09"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d61/a03858.html#a1380f2e4305db3572f95c1a4494bdd09">OnPlacementComplete</a> (Man player, vector <a class="el" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>=&quot;0 0 0&quot;, vector orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:a1380f2e4305db3572f95c1a4494bdd09"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><br  />
 </p>
<p ><a class="el" href="../../dd/db5/a00365.html">ExpansionCone.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../dd/db5/a00365_source.html#l00016">16</a> of file <a class="el" href="../../dd/db5/a00365_source.html">expansioncone.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a523b8540be2d8db7340cc0dd1de5c12a" name="a523b8540be2d8db7340cc0dd1de5c12a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a523b8540be2d8db7340cc0dd1de5c12a">&#9670;&#160;</a></span>ExpansionCone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionCone::ExpansionCone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db5/a00365_source.html#l00021">21</a> of file <a class="el" href="../../dd/db5/a00365_source.html">expansioncone.c</a>.</p>

</div>
</div>
<a id="a718c7807e09023e7c734ad0deab80653" name="a718c7807e09023e7c734ad0deab80653"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a718c7807e09023e7c734ad0deab80653">&#9670;&#160;</a></span>~ExpansionCone()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionCone::~ExpansionCone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db5/a00365_source.html#l00028">28</a> of file <a class="el" href="../../dd/db5/a00365_source.html">expansioncone.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a39376fa149308aab4a40514763458961" name="a39376fa149308aab4a40514763458961"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39376fa149308aab4a40514763458961">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionCone::CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db5/a00365_source.html#l00046">46</a> of file <a class="el" href="../../dd/db5/a00365_source.html">expansioncone.c</a>.</p>

</div>
</div>
<a id="a4bf1ca648cb8e31c825c1fccc89643da" name="a4bf1ca648cb8e31c825c1fccc89643da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bf1ca648cb8e31c825c1fccc89643da">&#9670;&#160;</a></span>IsContainer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionCone::IsContainer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db5/a00365_source.html#l00054">54</a> of file <a class="el" href="../../dd/db5/a00365_source.html">expansioncone.c</a>.</p>

</div>
</div>
<a id="a9058d046c5377cb58a3d72985e70ff35" name="a9058d046c5377cb58a3d72985e70ff35"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9058d046c5377cb58a3d72985e70ff35">&#9670;&#160;</a></span>IsHeavyBehaviour()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionCone::IsHeavyBehaviour </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db5/a00365_source.html#l00062">62</a> of file <a class="el" href="../../dd/db5/a00365_source.html">expansioncone.c</a>.</p>

</div>
</div>
<a id="a1380f2e4305db3572f95c1a4494bdd09" name="a1380f2e4305db3572f95c1a4494bdd09"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1380f2e4305db3572f95c1a4494bdd09">&#9670;&#160;</a></span>OnPlacementComplete()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionCone::OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Make the kit invisible, so it can be destroyed from deploy UA when action ends</p>

<p class="definition">Definition at line <a class="el" href="../../dd/db5/a00365_source.html#l00070">70</a> of file <a class="el" href="../../dd/db5/a00365_source.html">expansioncone.c</a>.</p>

</div>
</div>
<a id="ab6b4913a6ca858728286ab4bae068557" name="ab6b4913a6ca858728286ab4bae068557"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6b4913a6ca858728286ab4bae068557">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionCone::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/db5/a00365_source.html#l00035">35</a> of file <a class="el" href="../../dd/db5/a00365_source.html">expansioncone.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/entities/basebuilding/misc/<a class="el" href="../../dd/db5/a00365_source.html">expansioncone.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d0/d61/a03858.html">ExpansionCone</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
